# Generated from hiera-eyaml-gpg-0.4.gem by gem2rpm -*- rpm-spec -*-
%global gem_name hiera-eyaml-gpg

Name: rubygem-%{gem_name}
Version: 0.5
Release: 4%{?dist}
Summary: Encryption plugin for hiera-eyaml backend for Hiera
Group: Development/Languages
License: MIT
URL: http://github.com/sihil/hiera-eyaml-gpg
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rubygems-devel

Requires: ruby(rubygems)
Requires: rubygem(hiera-eyaml)

%if (0%{?fedora} > 15 || 0%{?rhel} >= 7)
BuildRequires: ruby(release) >= 1.8
Requires: ruby(release) >= 1.8
%else
BuildRequires: ruby(abi) >= 1.8
Requires: ruby(abi) >= 1.8
%endif

BuildRequires: rubygem(gpgme)
Requires: rubygem(gpgme)

BuildArch: noarch

%description
GPG encryptor for use with hiera-eyaml.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/

rm -f %{buildroot}/%{gem_instdir}/.gitignore

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_instdir}/tools/regem.sh
%{gem_dir}/gems/%{gem_name}-%{version}/%{gem_name}.gemspec
%{gem_spec}

%files doc
%doc %{gem_instdir}/Gemfile*
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/Rakefile
%doc %{gem_spec}
%doc %{gem_dir}/doc/%{gem_name}-%{version}

%changelog
* Thu Jul 16 2015 Clint Savage <herlo@linuxfoundation.org> - 0.5-4
- Put gem_spec into files section
* Fri Jun 05 2015 Clint Savage <herlo@linuxfoundation.org> - 0.5-3
- Require only gpgme as ruby_gpg is for JRuby
* Fri Jun 05 2015 Clint Savage <herlo@linuxfoundation.org> - 0.5-2
- Require either rubygem(ruby_gpg) or rubygem(gpgme)
* Wed Jun 03 2015 Clint Savage <herlo@linuxfoundation.org> - 0.5-1
- Initial package
